Bug 11772 - REGRESSION: XMLSerializer.serializeToString incorrect value for CDATA nodes
Summary: REGRESSION: XMLSerializer.serializeToString incorrect value for CDATA nodes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: XML (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Alexey Proskuryakov
URL:
Keywords: HasReduction, Regression
Depends on:
Blocks: 10489
  Show dependency treegraph
 
Reported: 2006-12-06 17:15 PST by Jesse Costello-Good
Modified: 2006-12-08 10:16 PST (History)
1 user (show)

See Also:


Attachments
naive fix (3.56 KB, patch)
2006-12-07 11:21 PST, Alexey Proskuryakov
timothy: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Costello-Good 2006-12-06 17:15:32 PST
var d = window.document.implementation.createDocument("", "", null);
var n = d.createCDATASection("-- cdata --");
var s = (new XMLSerializer()).serializeToString(n)
assertEquals("<![CDATA[-- cdata --]]>", s);  // in current WebKit build s is equal to ""
Comment 1 Alexey Proskuryakov 2006-12-06 21:47:26 PST
Confirmed as a regression.
Comment 2 Alexey Proskuryakov 2006-12-07 10:39:36 PST
This has regressed more than once already - with r12009 (January 2006), the result was "<#cdata-section/>".
Comment 3 Alexey Proskuryakov 2006-12-07 11:21:05 PST
Created attachment 11764 [details]
naive fix
Comment 4 Alexey Proskuryakov 2006-12-08 10:16:03 PST
Committed revision 18076.